De-register Processor Webhook ( DEPRECATED )
curl --request DELETE \
--url https://api.grailpay.com/processor/api/v1/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_names": [
"TransactionStarted",
"TransactionFailed"
],
"webhook_url": [
"https://example.com/webhook",
"https://example.com/webhook-example"
]
}
'import requests
url = "https://api.grailpay.com/processor/api/v1/webhook"
payload = {
"event_names": ["TransactionStarted", "TransactionFailed"],
"webhook_url": ["https://example.com/webhook", "https://example.com/webhook-example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_names: ['TransactionStarted', 'TransactionFailed'],
webhook_url: ['https://example.com/webhook', 'https://example.com/webhook-example']
})
};
fetch('https://api.grailpay.com/processor/api/v1/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Webhook de-registered!",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Access denied. Please use a secure (HTTPS) connection.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"event_names.0": [
"The selected webhook event TransactionStarted1 is invalid."
]
},
"error_code": null
}Webhooks
De-register Processor Webhook ( DEPRECATED )
This Endpoint is deprecated. Deprecated APIs that are no longer supported and should be removed from your integration. Please use the Stable version for your integration.* Once deregistered, the previously registered webhook will no longer be triggered by the GrailPay, and notifications will no longer be delivered to the configured endpoint.
DELETE
/
processor
/
api
/
v1
/
webhook
De-register Processor Webhook ( DEPRECATED )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Body
application/json
⌘I
